Subject: RE: setup.exe: Woe is me!
From: Robert Collins <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: 28 Apr 2003 02:49:11 +1000

On Sun, 2003-04-27 at 11:13, Phil Bewig wrote:
> I just killed setup.exe after over an hour of inactivity.  A total
> of over 125MB of disk space has disappeared in the last few
> hours while I have been running setup.exe, reading and
> replying to email on the cygwin mailing list in this thread
> using MS Outlook, and searching the cygwin mailing list
> archives with MSIE.  When I killed setup.exe (using the
> "cancel" button on the progress screen), I received a popup
> message "Cannot open log file d:\/var/log/setup.log for
> writing."  Are there any additional clues here?  What is
> consuming disk?  And how do I get it back?

my WAG:
setup is looping: trying to create a file, failing, and trying again.

Here's what I'd like you to do:
Check your registry for cygwin mount points, both per user and per
machine. There may be a decompressed cygcheck you can download to do
this. If there isn't, then have a look on this list for other references
to the mount point data. (It's not supported to make registry changes
manually, which is why I'm *not* putting the keys in this email).

If, as I suspect, you have some broken mount points, just delete the
entire cygwin keys in both user and machine subtrees.

Now, run setup again, and when you are installing, be very very sure to
install to somewhere like "D:\cygwin", not to "D:\".

If that doesn't work, then I'll brew up a log-on-the-spot version of
setup.exe for you, which will let us see whats going on.

Cheers,
Rob
-- 
GPG key available at: <http://users.bigpond.net.au/robertc/keys.txt>.